#display_head, .errorbox, .noticebox, .infobox, .descbox, .action_activate p:not(:last-child), .error_bbc, .warning_bbc, .okay_bbc, .info_bbc, .bbc_standard_quote, .bbc_alternate_quote, .bbc_code, .codeheader, .quoteheader {
	position: relative;
	margin: 1em;
	background: #F9F9F9;
	padding: 1em 1em 1em 2em;
	border-left: 4px solid #DDD;
	box-shadow: 0 1px 1px rgba(0, 0, 0, 0.125);
	display: block;
}
.errorbox::before, .noticebox::before, .infobox:before, .error_bbc:before, .warning_bbc:before, .okay_bbc:before {
	position: absolute;
	top: 50%;
	margin-top: -17px;
	left: -17px;
	background-color: #DDD;
	color: #FFF;
	width: 30px;
	height: 30px;
	border-radius: 100%;
	text-align: center;
	line-height: 30px;
	font-weight: bold;
	font-family: Georgia;
	text-shadow: 1px 1px rgba(0, 0, 0, 0.5);
}
.infobox, .info_bbc {
	border-color: #0074D9;
}
.infobox::before, .info_bbc:before {
	content: "i";
	background-color: #0074D9;
}
.bbc_standard_quote, .bbc_alternate_quote, .bbc_code, .codeheader, .quoteheader {
	margin: 0;
}
.bbc_standard_quote, .bbc_alternate_quote {
	border-color: #0074D9;
	margin: 1em 0;
}
.info_bbc:before {
}
.okay_bbc, .bbc_code, .codeheader {
	border-color: #2ECC40;
}
.okay_bbc:before {
	content: "√";
	background-color: #2ECC40;
}
.noticebox, .warning_bbc {
	border-color: #FFDC00;
}
.noticebox::before, .warning_bbc:before {
	content: "!";
	background-color: #FFDC00;
}
.errorbox, .error_bbc {
	border-color: #FF4136;
}
.errorbox:before, .error_bbc:before {
	content: "X";
	background-color: #FF4136;
}
pre.bbc_code {
	overflow: auto;
	white-space: pre;
	/* Show a scrollbar after about 24 lines. */
	max-height: 24em;
	line-height: 0;
	counter-reset: line;
	padding: 0 1em 0.5em 2em;
}
.bbc_code div {
	line-height: 1.5rem;
}
.bbc_code div:before {
	counter-increment: line;
	content: counter(line);
	display: inline-block;
	border-right: 1px solid #ddd;
	padding: 0 0.5em;
	margin-right: 0.5em;
	color: #888;
	text-align: right;
	width: 2em;
}
.codeheader, cite {
	font-size: 90%;
	font-weight: bold;
	padding-bottom: 0.5em;
}
blockquote cite {
	display: block; 
}
.codeoperation {
	font-weight: normal;
}
/* Styling for BBC tags */
.bbc_link {
	text-decoration: underline;
}
.bbc_size {
	line-height: 1.4em;
}
.bbc_color a {
	color: inherit;
}
.bbc_img {
	border: 0;
}
.bbc_table {
	font: inherit;
	color: inherit;
}
.bbc_table td {
	font: inherit;
	color: inherit;
	vertical-align: top;
}
.bbc_list {
	text-align: left;
	padding: 0 0 0 35px;
	list-style-type: inherit;
}
.bbc_float {
	margin-bottom: 1em;
	/* default max-width to use if none was specified in the BBC */
	max-width: 45%;
}
.bbc_float.floatleft {
	margin-right: 1em;
	clear: left;
}
.bbc_float.floatright {
	margin-left: 1em;
	clear: right;
}
.bbc_img {
	object-fit: contain;
}
.postarea .bbc_img.resized:hover {
	cursor: pointer;
}
.bbc_img.original_size {
	height: auto !important;
	width: auto !important;
	max-height: none;
	max-width: 100%;
}
.bbc_u {
	text-decoration: underline;
}
.bbc_list {
	text-align: left;
}
.bbc_tt {
	font-family: "dejavu sans mono", "monaco", "lucida console", "courier new", monospace;
}
/* Generally, those [?] icons.  This makes your cursor a help icon. */
.help {
	cursor: help;
}
/* /me uses this a lot. (emote, try typing /me in a post.) */
.meaction {
	color: red;
}
/* Footnotes mod by Nao */
table.footnotes {
	border-top: 1px solid #888;
	margin-top: 20px;
	padding-top: 4px;
}
blockquote table.footnotes {
	margin: 8px 0 4px 0;
}
table.footnotes td {
	font-size: smaller;
	padding: 0 2px;
}
td.footnum {
	vertical-align: top;
	text-align: right;
	width: 30px;
}
td.footnum a {
	text-decoration: none;
}
a.fnotel {
	text-decoration: none;
	vertical-align: super;
	font-size: smaller;
	line-height: normal;
}
td.footnum a:target, a.fnotel:target {
	background-color: #ddeeff !important;
}
/* Footnotes End */